curl -X GET https://api.swervpay.co/api/v1/bills \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
-d '{
"customer_id": "<CUSTOMER_ID>",
"amount": "<AMOUNT>",
"reference": "<REFERENCE>",
"biller_id": "<BILLER_ID>",
"item_id": "<ITEM_ID>",
"category": "<CATEGORY>",
}'
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.bill.create({
"amount": "<AMOUNT>",
"customer_id": "<CUSTOMER_ID>",
"reference": "<REFERENCE>",
"biller_id": "<BILLER_ID>",
"item_id": "<ITEM_ID>",
"category": "<CATEGORY>",
});
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$payload = array(
"customer_id" => "<CUSTOMER_ID>",
"amount" => "<AMOUNT>",
"reference" => "<REFERENCE>",
"biller_id" => "<BILLER_ID>",
"item_id" => "<ITEM_ID>",
"category" => "<CATEGORY>",
)
$client->bill()->create($payload)->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
payload := swervpay.BillCreateRequest{
CustomerID: "<CUSTOMER_ID>",
Amount: "<AMOUNT>",
Reference: "<REFERENCE>",
BillerID: "<BILLER_ID>",
ItemID: "<ITEM_ID>",
Category: "<CATEGORY>",
}
resp, err := client.Bill.Create(ctx, payload)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
{
"account_name": "<string>",
"account_number": "<string>",
"amount": 123,
"bank_code": "<string>",
"bank_name": "<string>",
"bill": {
"bill_code": "<string>",
"bill_name": "<string>",
"item_code": "<string>",
"name": "<string>",
"token": "<string>"
},
"category": "<string>",
"charges": 123,
"created_at": "2023-11-07T05:31:56Z",
"detail": "<string>",
"fiat_rate": 123,
"id": "<string>",
"imad": "<string>",
"payment_method": "<string>",
"reference": "<string>",
"report": true,
"report_message": "<string>",
"session_id": "<string>",
"status": "<string>",
"trace_number": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}Bills
Create bill
Create bill
POST
/
bills
curl -X GET https://api.swervpay.co/api/v1/bills \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
-d '{
"customer_id": "<CUSTOMER_ID>",
"amount": "<AMOUNT>",
"reference": "<REFERENCE>",
"biller_id": "<BILLER_ID>",
"item_id": "<ITEM_ID>",
"category": "<CATEGORY>",
}'
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.bill.create({
"amount": "<AMOUNT>",
"customer_id": "<CUSTOMER_ID>",
"reference": "<REFERENCE>",
"biller_id": "<BILLER_ID>",
"item_id": "<ITEM_ID>",
"category": "<CATEGORY>",
});
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$payload = array(
"customer_id" => "<CUSTOMER_ID>",
"amount" => "<AMOUNT>",
"reference" => "<REFERENCE>",
"biller_id" => "<BILLER_ID>",
"item_id" => "<ITEM_ID>",
"category" => "<CATEGORY>",
)
$client->bill()->create($payload)->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
payload := swervpay.BillCreateRequest{
CustomerID: "<CUSTOMER_ID>",
Amount: "<AMOUNT>",
Reference: "<REFERENCE>",
BillerID: "<BILLER_ID>",
ItemID: "<ITEM_ID>",
Category: "<CATEGORY>",
}
resp, err := client.Bill.Create(ctx, payload)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
{
"account_name": "<string>",
"account_number": "<string>",
"amount": 123,
"bank_code": "<string>",
"bank_name": "<string>",
"bill": {
"bill_code": "<string>",
"bill_name": "<string>",
"item_code": "<string>",
"name": "<string>",
"token": "<string>"
},
"category": "<string>",
"charges": 123,
"created_at": "2023-11-07T05:31:56Z",
"detail": "<string>",
"fiat_rate": 123,
"id": "<string>",
"imad": "<string>",
"payment_method": "<string>",
"reference": "<string>",
"report": true,
"report_message": "<string>",
"session_id": "<string>",
"status": "<string>",
"trace_number": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}{
"message": "<string>",
"values": {}
}curl -X GET https://api.swervpay.co/api/v1/bills \
-H "Authorization: Bearer <TOKEN>" \
-H "Content-Type: application/json"
-d '{
"customer_id": "<CUSTOMER_ID>",
"amount": "<AMOUNT>",
"reference": "<REFERENCE>",
"biller_id": "<BILLER_ID>",
"item_id": "<ITEM_ID>",
"category": "<CATEGORY>",
}'
import { SwervpayClient } from '@swervpaydev/sdk';
const config = {
secretKey: "<SECRET_KEY>",
businessId: "<BUSINESS_ID>"
}
const swervpay = new SwervpayClient(config);
await swervpay.bill.create({
"amount": "<AMOUNT>",
"customer_id": "<CUSTOMER_ID>",
"reference": "<REFERENCE>",
"biller_id": "<BILLER_ID>",
"item_id": "<ITEM_ID>",
"category": "<CATEGORY>",
});
use Swervpaydev\SDK\Swervpay;
$config = [
'business_id' => '<BUSINESS_ID>',
'secret_key' => '<SECRET_KEY>'
];
$client = new Swervpay($config);
$payload = array(
"customer_id" => "<CUSTOMER_ID>",
"amount" => "<AMOUNT>",
"reference" => "<REFERENCE>",
"biller_id" => "<BILLER_ID>",
"item_id" => "<ITEM_ID>",
"category" => "<CATEGORY>",
)
$client->bill()->create($payload)->toArray();
package main
import (
"context"
"fmt"
"github.com/swerv-ltd/swervpay-go"
"log"
)
func main() {
ctx := context.Background()
client := swervpay.NewSwervpayClient(&swervpay.SwervpayClientOption{
BusinessID: "<BUSINESS_ID>",
SecretKey: "<SECRET_KEY>",
})
payload := swervpay.BillCreateRequest{
CustomerID: "<CUSTOMER_ID>",
Amount: "<AMOUNT>",
Reference: "<REFERENCE>",
BillerID: "<BILLER_ID>",
ItemID: "<ITEM_ID>",
Category: "<CATEGORY>",
}
resp, err := client.Bill.Create(ctx, payload)
if err != nil {
log.Fatal("error", err.Error())
return
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I